




#music-player {
    width: 100%;
    background-color: #000000;
    padding: 10px;
    display: none; /* Initially hide the music player */
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 1000;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
}

.controls {
    display: flex;
    justify-content: flex-start;
    width: 30%;
    flex-direction: row-reverse;
    flex-wrap: wrap;
}

button {
    background-color: transparent;
    border: 1px solid #ffffff;
    color: #ffffff;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    font-size: 16px;
    margin: 0 10px;
    transition: background-color 0.3s, color 0.3s;
}

button:hover {
    background-color: #000000;
    color: #000000;
}

#track-name {
    font-size: 14px; /* גודל גופן */
    text-align: center; /* מרכז את הטקסט */
    
    white-space: nowrap; /* מונע שורות חדשות */
    text-overflow: ellipsis; /* מוסיף ניקודים */
    margin-top: 16px; /* מרווח מעל */
    margin-right: 50px;
}

.progress-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
}

#seek-bar {
    width: 65%;
    height: 2px; /* גובה של הסרגל */
    background-color: white; /* צבע הסרגל */
    -webkit-appearance: none;
    appearance: none;
}

/* סגנון עבור ה-thumb */
#seek-bar::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px; /* רוחב של ה-thumb */
    height: 15px; /* גובה של ה-thumb */
    background-color: rgb(255, 255, 255); /* צבע ה-thumb */
    border-radius: 50%; /* עיגוליות ל-thumb */
}

#seek-bar::-moz-range-thumb {
    width: 10px; /* רוחב של ה-thumb */
    height: 10px; /* גובה של ה-thumb */
    background-color: blue; /* צבע ה-thumb */
    border-radius: 50%; /* עיגוליות ל-thumb */
}

#seek-bar .progress {
    height: 100%;
    width: 0;
}

#volume-control {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    margin-left: 40px;
}

#volume-bar {
    width: 100%;
    height: 2px; /* גובה של הסרגל */
    background-color: white; /* צבע הסרגל */
    
    appearance: none;
}

/* סגנון עבור ה-thumb */
#volume-bar::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px; /* רוחב של ה-thumb */
    height: 15px; /* גובה של ה-thumb */
    background-color: rgb(255, 255, 255); /* צבע ה-thumb */
    border-radius: 50%; /* עיגוליות ל-thumb */
}

#volume-bar::-moz-range-thumb {
    width: 10px; /* רוחב של ה-thumb */
    height: 10px; /* גובה של ה-thumb */
    background-color: blue; /* צבע ה-thumb */
    border-radius: 50%; /* עיגוליות ל-thumb */
}


#volume-icon {
    width: 30px;
    cursor: pointer;
}

#play-pause-btn {
    width: 50px;
    height: 50px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 60px;
}
  
  .icon-list {
    display: flex;
    gap: 10px;                /* מרווח בין האייקונים */
    justify-content: center
  }
  
  .icon-list img {
    width: 34px;              /* הרוחב הרצוי */
    height: 34px;             /* הגובה הרצוי */
  }
  
  